=== sound/firewire/dice/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
snd-dice-y := dice-transaction.o dice-stream.o dice-proc.o dice-midi.o \
		 dice-pcm.o dice-hwdep.o dice.o dice-tcelectronic.o \
		 dice-alesis.o dice-extension.o dice-mytek.o dice-presonus.o \
		 dice-harman.o dice-focusrite.o dice-weiss.o dice-teac.o
obj-$(CONFIG_SND_DICE) += snd-dice.o
