=== arch/arm/boot/dts/nvidia/Makefile ===
# SPDX-License-Identifier: GPL-2.0
dtb-$(CONFIG_ARCH_TEGRA_114_SOC) += \
	tegra114-asus-tf701t.dtb \
	tegra114-dalmore.dtb \
	tegra114-roth.dtb \
	tegra114-tn7.dtb
dtb-$(CONFIG_ARCH_TEGRA_124_SOC) += \
	tegra124-apalis-eval.dtb \
	tegra124-apalis-v1.2-eval.dtb \
	tegra124-jetson-tk1.dtb \
	tegra124-nyan-big.dtb \
	tegra124-nyan-big-fhd.dtb \
	tegra124-nyan-blaze.dtb \
	tegra124-venice2.dtb \
	tegra124-xiaomi-mocha.dtb
dtb-$(CONFIG_ARCH_TEGRA_2x_SOC) += \
	tegra20-acer-a500-picasso.dtb \
	tegra20-asus-sl101.dtb \
	tegra20-asus-tf101.dtb \
	tegra20-harmony.dtb \
	tegra20-colibri-eval-v3.dtb \
	tegra20-colibri-iris.dtb \
	tegra20-medcom-wide.dtb \
	tegra20-paz00.dtb \
	tegra20-plutux.dtb \
	tegra20-seaboard.dtb \
	tegra20-tec.dtb \
	tegra20-trimslice.dtb \
	tegra20-ventana.dtb
dtb-$(CONFIG_ARCH_TEGRA_3x_SOC) += \
	tegra30-apalis-eval.dtb \
	tegra30-apalis-v1.1-eval.dtb \
	tegra30-asus-nexus7-grouper-PM269.dtb \
	tegra30-asus-nexus7-grouper-E1565.dtb \
	tegra30-asus-nexus7-tilapia-E1565.dtb \
	tegra30-asus-p1801-t.dtb \
	tegra30-asus-tf201.dtb \
	tegra30-asus-tf300t.dtb \
	tegra30-asus-tf300tg.dtb \
	tegra30-asus-tf300tl.dtb \
	tegra30-asus-tf600t.dtb \
	tegra30-asus-tf700t.dtb \
	tegra30-beaver.dtb \
	tegra30-cardhu-a02.dtb \
	tegra30-cardhu-a04.dtb \
	tegra30-colibri-eval-v3.dtb \
	tegra30-lg-p880.dtb \
	tegra30-lg-p895.dtb \
	tegra30-ouya.dtb \
	tegra30-pegatron-chagall.dtb
