=== drivers/media/platform/renesas/rzv2h-ivc/Makefile ===
# SPDX-License-Identifier: GPL-2.0

rzv2h-ivc-y := rzv2h-ivc-dev.o rzv2h-ivc-subdev.o rzv2h-ivc-video.o

obj-$(CONFIG_VIDEO_RZV2H_IVC) += rzv2h-ivc.o
